{% extends "register_base.html" %}

{% block title %}Create an Account{% endblock %}

{% load crispy_forms_tags %}

{% block content %}

<!-- MDB -->
<!-- Font Awesome -->
<link
        href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css"
        rel="stylesheet"
/>
<!-- Google Fonts -->
<link
        href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap"
        rel="stylesheet"
/>
<!-- MDB -->
<link
        href="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/3.6.0/mdb.min.css"
        rel="stylesheet"
/>

<section class="vh-100" style="background-color: #eee;">
    <div class="container h-100">
        <div class="row d-flex justify-content-center align-items-center h-100">
            <div class="col-lg-12 col-xl-11">
                <div class="card text-black" style="border-radius: 25px;">
                    <div class="card-body p-md-5">
                        <div class="row justify-content-center">
                            <div class="col-md-10 col-lg-6 col-xl-5 order-2 order-lg-1">

                                <p class="text-center h1 fw-bold mb-5 mx-1 mx-md-4 mt-4">Registration</p>
                                <form method="POST">
                                    {% csrf_token %}
                                        {{ form|crispy }}<br>
                                <div class="d-flex justify-content-center mx-4 mb-3 mb-lg-4">
                                    <button type="submit" class="btn btn-primary btn-lg">Register</button>
                                </div>
                                    <p>Return to Dinnergenie</p>
                                    <h6><a href="/intro/">Take me back</a></h6>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!--<form method="POST">-->
<!--    {% csrf_token %}-->
<!--    <div class="row">-->
<!--        <div class="col-6">-->
<!--            {{ form|crispy }}-->
<!--        </div>-->
<!--    </div>-->
<!--    <br>-->
<!--    <button type="submit" class="btn btn-success">Register</button>-->
<!--</form>-->

<!--<div class="d-flex justify-content-center mx-4 mb-3 mb-lg-4">-->
<!--    <button type="submit" class="btn btn-primary btn-lg">Register</button>-->
<!--</div>-->
{% endblock %}